on startMovie
  global fixpal
  set the soundLevel to 4
  if the machineType <> 256 then
    if factory("RearWindow") = 0 then
      openXLib("RearWindow.XObj")
    end if
    initRearWindow(255)
  end if
  set the exitLock to 1
  set the colorDepth to 8
  set the textHeight of field "text" to 30
end

on initRearWindow theColor
  global rwObj
  if the machineType <> 256 then
    if objectp(rwObj) then
      rwObj(mdispose)
    end if
    set rwObj to RearWindow(mnew, "M")
    rwObj(mIndexColorToWindow, theColor)
  end if
end

on disposeRearWindow
  global rwObj
  if the machineType <> 256 then
    if objectp(rwObj) then
      rwObj(mdispose)
    end if
  end if
end

on xxx
  global greadObject
  set greadObject to FileIO(mnew, "read", the pathName & "loading lines")
  put greadObject
  greadObject(mdispose)
end
